## org.apache.mahout.vectorizer.collocations.llr
Class CollocMapper.IteratorTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.mahout.vectorizer.collocations.llr.CollocMapper.IteratorTokenStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  CollocMapper

    public static class CollocMapper.IteratorTokenStream

extends org.apache.lucene.analysis.TokenStream

Used to emit tokens from an input string array in the style of TokenStream

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Constructor Summary
`CollocMapper.IteratorTokenStream(java.util.Iterator<java.lang.String> iterator)`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollocMapper.IteratorTokenStream

    public CollocMapper.IteratorTokenStream(java.util.Iterator<java.lang.String> iterator)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws java.io.IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.